%bcond_with vala

Summary:       A library for managing OS information for virtualization
Name:          libosinfo
Version:       1.10.0
Release:       4%{?dist}
License:       LGPLv2+
URL:           https://libosinfo.org/
Source0:       https://releases.pagure.io/%{name}/%{name}-%{version}.tar.xz

BuildRequires: meson gcc gettext-devel glib2-devel hwdata osinfo-db git
BuildRequires: libxml2-devel libxslt-devel libsoup-devel gobject-introspection-devel
BuildRequires: /usr/bin/pod2man

%if %{with vala}
BuildRequires: vala
%endif

Requires:      hwdata osinfo-db osinfo-db-tools

%description
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

%package devel
Summary: Libraries, includes, etc. to compile with the libosinfo library
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig glib2-devel

%if %{with vala}
Provides: libosinfo-vala = %{version}-%{release}
%endif

%description devel
libosinfo is a library that allows virtualization provisioning tools to
determine the optimal device settings for a hypervisor/operating system
combination.

Libraries, includes, etc. to compile with the libosinfo library

%prep
%autosetup -n %{name}-%{version} -p1 -S git

%build
%meson \
    -Denable-gtk-doc=false \
    -Denable-tests=true \
    -Denable-introspection=enabled \
%if %{with vala}
    -Denable-vala=enabled
%else
    -Denable-vala=disabled
%endif

%meson_build

%install
%meson_install

%find_lang %{name}

%check
%meson_test


%files -f %{name}.lang
%license COPYING.LIB
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/osinfo-detect
%{_bindir}/osinfo-query
%{_bindir}/osinfo-install-script
%{_libdir}/%{name}-1.0.so.*
%{_libdir}/girepository-1.0/Libosinfo-1.0.typelib
%{_mandir}/man1/osinfo-detect.1*
%{_mandir}/man1/osinfo-query.1*
%{_mandir}/man1/osinfo-install-script.1*

%files devel
%{_libdir}/%{name}-1.0.so
%dir %{_includedir}/%{name}-1.0/
%dir %{_includedir}/%{name}-1.0/osinfo/
%{_includedir}/%{name}-1.0/osinfo/*.h
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_datadir}/gir-1.0/Libosinfo-1.0.gir

%if %{with vala}
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libosinfo-1.0.deps
%{_datadir}/vala/vapi/libosinfo-1.0.vapi
%endif

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Shuo Wang <abushwang@tencent.com> - 1.10.0-1
- initial build
